---
sidebar_label: InterceptResolutionState
---

# InterceptResolutionState interface

#### Signature:

```typescript
export interface InterceptResolutionState
```

## Properties

| Property | Modifiers             | Type                                                                  | Description | Default |
| -------- | --------------------- | --------------------------------------------------------------------- | ----------- | ------- |
| action   |                       | [InterceptResolutionAction](./puppeteer.interceptresolutionaction.md) |             |         |
| priority | <code>optional</code> | number                                                                |             |         |
